Package Base Details: dolphin-emu-git

Git Clone URL: https://aur.archlinux.org/dolphin-emu-git.git (read-only, click to copy)
Keywords: dolphin emu emulator game gamecube gui nintendo remote revolution triforce wii wiimote
Submitter: None
Maintainer: dpeukert
Last Packager: dpeukert
Votes: 107
Popularity: 0.37
First Submitted: 2011-08-20 13:05
Last Updated: 2021-09-11 20:57

Pinned Comments

dpeukert commented on 2020-04-10 12:34

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/dolphin-emu-git

Latest Comments

« First ‹ Previous ... 24 25 26 27 28 29 30 31 32 33 34 ... Next › Last »

alucryd commented on 2013-02-04 09:14

@bluerider: I just removed the sfml1.6 dep because it was the cause of the problem, why would I want to add it back? Using sfml1.6, I could launch games but the emulator froze as soon as some 3D appeared. Using the provided sfml works perfectly for me and if it still doesn't for you, I'm afraid the problem is elsewhere.

Those messages you see can be safely ignored. If you look at them you'll see that they're warnings, not errors, and they are for the AVI dumping, which has nothing to do with actual emulation.

alucryd commented on 2013-02-04 09:11

@bluerider: I just removed the sfml1.6 dep because it was the cause of the problem, why would I want to add it back?
Those messages you see can be safely ignored. If you look at them you'll see that they're warnings, not errors, and they are for the AVI dumping functionnality, which has nothing to do with actual emulation.

bluerider commented on 2013-02-03 23:32

In addition : I looked at the cmake build, and found this :
/tmp/packerbuild-1000/dolphin-emu-git/dolphin-emu-git/src/dolphin-emu/Source/Core/VideoCommon/Src/AVIDump.cpp: In static member function ‘static void AVIDump::AddFrame(uint8_t*, int, int)’:
/tmp/packerbuild-1000/dolphin-emu-git/dolphin-emu-git/src/dolphin-emu/Source/Core/VideoCommon/Src/AVIDump.cpp:317:16: warning: ‘int avcodec_encode_video(AVCodecContext*, uint8_t*, int, const AVFrame*)’ is deprecated (declared at /usr/include/libavcodec/avcodec.h:4272) [-Wdeprecated-declarations]
/tmp/packerbuild-1000/dolphin-emu-git/dolphin-emu-git/src/dolphin-emu/Source/Core/VideoCommon/Src/AVIDump.cpp:317:85: warning: ‘int avcodec_encode_video(AVCodecContext*, uint8_t*, int, const AVFrame*)’ is deprecated (declared at /usr/include/libavcodec/avcodec.h:4272) [-Wdeprecated-declarations]
/tmp/packerbuild-1000/dolphin-emu-git/dolphin-emu-git/src/dolphin-emu/Source/Core/VideoCommon/Src/AVIDump.cpp:336:13: warning: ‘int avcodec_encode_video(AVCodecContext*, uint8_t*, int, const AVFrame*)’ is deprecated (declared at /usr/include/libavcodec/avcodec.h:4272) [-Wdeprecated-declarations]
/tmp/packerbuild-1000/dolphin-emu-git/dolphin-emu-git/src/dolphin-emu/Source/Core/VideoCommon/Src/AVIDump.cpp:336:76: warning: ‘int avcodec_encode_video(AVCodecContext*, uint8_t*, int, const AVFrame*)’ is deprecated (declared at /usr/include/libavcodec/avcodec.h:4272) [-Wdeprecated-declarations]

bluerider commented on 2013-02-03 23:29

@Alucryd
Despite having sfml1.6 installed, I still cannot run wii isos after rebuilding the package.

BTW : If it requires sfml1.6, you should probably list it as a dependency

alucryd commented on 2013-02-03 22:19

@bluerider: Reverted the sfml thing. I don't know why but it seemed to work this morning while now it's clearly not. I guess we'll stick with building the version from the externals, it's not a long build anyway.

bluerider commented on 2013-02-03 20:40

Emulator stopped working for me on Wii games (I use isos). I am using dolphin-emu-git 20130203-1, and xf86-video-intel 2.21.0-1. Problem still persisted after downgrading intel drivers.

bluerider commented on 2013-02-03 20:39

Problem still persisted after downgrading intel driver.

bluerider commented on 2013-02-03 20:21

Emulator stopped working for me on Wii games (I use isos). I am using dolphin-emu-git 20130203-1, and xf86-video-intel 2.21.0-1. I will downgrade my intel driver to see if the problem persists.

alucryd commented on 2013-02-02 17:35

Added sfml1.6 dep back. I have found a workaround which makes it work.

alucryd commented on 2013-01-31 14:13

Removed the sfml1.6 dep for now, pointing cmake to the right dirs does not work. I have filed a bug report about this.